Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	1.1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://irqbalance.org/
Source0:	http://irqbalance.googlecode.com/files/%{name}-%{version}.tar.xz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	irqbalance.1
Requires(post,preun): rpm-helper
BuildRequires:	gccmakedep
BuildRequires:	numa-devel
BuildRequires:	glib2-devel
BuildRequires:	libcap-ng-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q -n %{name}-%{version}
touch NEWS README AUTHORS ChangeLog

%build
./autogen.sh

%configure2_5x
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1}
install irqbalance %{buildroot}%{_sbindir}
mkdir -p %{buildroot}{%{_initrddir},%{_sysconfdir}/sysconfig}
install %{SOURCE1} %{buildroot}%{_initrddir}/irqbalance
install %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/irqbalance
install %{SOURCE3} %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%post
%_post_service irqbalance

%preun
%_preun_service irqbalance


%files
%defattr(-,root,root)
%{_mandir}/man1/*
%{_sbindir}/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*


%changelog
* Sun Jan 03 2016 bb <bb> 1.1.0-1pclos2016
- update

* Thu Dec 08 2011 Texstar <texstar at gmail.com> 1.0.3-1pclos2011
- 1.0.3

* Fri Nov 11 2011 Texstar <texstar at gmail.com> 1.0.2-1pclos2011
- 1.0.2
